NAME Snake-God Sculpture
NAM2 an alien snake-god sculpture
ICON items/s_twl.jpg 62
GFXP items/l_twl.jpg 8
FLAG loot unique nogen
DIST dead cold warm hot toxic
TEXT A primitive sculpture made of stone. Legend: Depicts the Brotherhood of the Snake, forerunners of the Garthan species. It is they who seeded the quadrant with life in aeons past.
COST 300 artifacts
TYPE other

